' Program SetTargets.bas
' Converts current spectrum to optimization targets

Sub Main
    Const t$ = "Spectrum to Targets"
    s$ = IniString("Optimize", "TargetType")
    If Trim$(s$)="" Then s$ = "T"
    s$ = InputBox("Reflectance or Transmittance (R/T)", t$, s$)
    s$ = UCase$(Left$(s$, 1))
    Select Case s$
    Case "R", "T"
        ' normal incidence, equal weighting
        SpecTargets True, s$, 1, 0, "R"
        WriteIniString "Optimize", "TargetType", s$
    Case Else
        MsgBox "No targets added", vbInformation, t$
    End Select
End Sub
