' Program BBAR-Solve.bas
' Shows how programs can be re-used in other programs
Option Explicit
DefInt I-N
DefSng A-H, O-Z
Option Base 1

Sub Main
    GraphSetup
    BasChain "c:\Winfilm\Course2\Database\GetSpectrum.bas"
    PlotClose
    PlotActivate
    PlotNext
    SpecTargets True, "R", 1, 0, "R"
    Optimize
    ' EXERCISE... Add code to display layer deviations!!!
    Calculate
    MainActivate
    AxesDraw
    LineColor "B"   ' blue line
    Replot
    PlotActivate
    PlotNext
    LineColor "R"   ' restore default
End Sub

Sub GraphSetup
    ' FSPlot graph setup code for FilmStar BASIC:
    PlotConfig 8740937, 102129, 0
    PlotSize 9360, 7635, 72
    PlotTitleFont = "Arial"
    PlotTitleSize = 110
    PlotLegendSize = 100
    PlotAxesFont = "Arial"
    PlotAxesLabelSize = 110
    PlotAxesNumberSize = 110
    PlotFontFixed = False
    PlotFontFixedSize = 2
    PlotAxesConfig = 6
    PlotEdgeSpace 75, -20, 45, 45
    PlotAxesSpace .15, .25, .5, 1.5
    PlotColors "230, 16711680, 50688, 16711935, 8421376, 32896, 0, 8421504, 128, 8388608, 32768, 8388736"
    PlotBitmapMode = False
End Sub
